/**
 *
 * (c) Copyright BULL S.A.S. 2007.  All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: QueueEventListener.java 10252 2007-04-23 11:27:02Z waeselynck $
 * --------------------------------------------------------------------------
 */

package com.bull.jonasmqconnector.admin;

import javax.jms.Message;
import javax.jms.MessageListener;

import com.bull.jonasmqconnector.util.LogUtils;
import com.bull.jonasmqconnector.util.Logger;


public class QueueEventListener implements MessageListener {

	/**
	 * Logger for the class.
	 */
	private static Logger logger = LogUtils.getLogger();

	public void onMessage(Message msg) {
		logger.debug("QueueEventListener#onMessage()");
		try {
			if (msg == null) {
				logger.warn("QueueEventListener#onMessage(): message null");
			} else {
				logger.info(msg.toString());
				// TODO To convert from JMS Message to PCF Message !!!
			}
		} catch (Exception e) {
			logger
					.error("QueueEventListener#onMessage(): can not handle this message"
							, e);
		}
	}

}