/**
 *
 * (c) Copyright BULL S.A.S. 2007.  All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: InboundConsumerMBean.java 10253 2007-04-23 11:27:55Z waeselynck $
 * --------------------------------------------------------------------------
 */

package com.bull.jonasmqconnector.inbound;

import javax.management.MBeanException;

/**
 * MBean Interface for MDB Deployment
 * 
 * @author Kien THAI
 * 
 */
public interface InboundConsumerMBean {
	/**
	 * Get the property of the MDB deployment
	 * 
	 * @param propertyName
	 *            Property name
	 * @return Property value
	 * @throws MBeanException
	 *             If the property can not be retrieved
	 */
	public Object getProperty(String propertyName) throws MBeanException;

	/**
	 * Get number of received messages
	 * 
	 * @return
	 */
	public int getNumberOfReceivedMessages();
	
	public int getNumberOfWorks();
}
