/**
 *
 * (c) Copyright BULL S.A.S. 2007.  All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ExceptionUtils.java 10254 2007-04-23 11:31:11Z waeselynck $
 * --------------------------------------------------------------------------
 */

package com.bull.jonasmqconnector.util;

import javax.jms.JMSException;
import javax.resource.ResourceException;
import javax.resource.spi.InvalidPropertyException;
import javax.resource.spi.ResourceAdapterInternalException;
import javax.transaction.xa.XAException;

/**
 * An util class for generate exceptions
 * 
 * @author Kien THAI
 * 
 */
public class ExceptionUtils {

	public static javax.resource.spi.SecurityException newSecurityException(
			String msg, Throwable t) {
		javax.resource.spi.SecurityException se = new javax.resource.spi.SecurityException(
				msg + " : " + t.getMessage());
		return (javax.resource.spi.SecurityException) se.initCause(t);
	}

	public static InvalidPropertyException newInvalidPropertyException(
			String msg, Throwable t) {
		InvalidPropertyException ipe = new InvalidPropertyException(msg + " : "
				+ t.getMessage());
		return (InvalidPropertyException) ipe.initCause(t);
	}

	public static Exception newException(String msg, Throwable t) {
		Exception se = new Exception(msg + " : " + t.getMessage());
		return (Exception) se.initCause(t);
	}

	public static RuntimeException newRuntimeException(String msg, Throwable t) {
		RuntimeException se = new RuntimeException(msg + " : " + t.getMessage());
		return (RuntimeException) se.initCause(t);
	}

	public static ResourceAdapterInternalException newResourceAdapterInternalException(
			String msg, Throwable t) {
		ResourceAdapterInternalException se = new ResourceAdapterInternalException(
				msg + " : " + t.getMessage());
		return (ResourceAdapterInternalException) se.initCause(t);
	}

	public static JMSException newJMSException(String msg, Throwable t) {
		JMSException se = new JMSException(msg + " : " + t.getMessage());
		return (JMSException) se.initCause(t);
	}

	public static ResourceException newResourceException(String msg, Throwable t) {
		ResourceException se = new ResourceException(msg + " : "
				+ t.getMessage());
		return (ResourceException) se.initCause(t);
	}

	public static XAException newXAException(String msg, Throwable t) {
		XAException se = new XAException(msg + " : " + t.getMessage());
		return (XAException) se.initCause(t);
	}
}