/**
 *
 * (c) Copyright BULL S.A.S. 2007.  All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: StringUtils.java 10254 2007-04-23 11:31:11Z waeselynck $
 * --------------------------------------------------------------------------
 */

package com.bull.jonasmqconnector.util;

/**
 * Utility functions for Strings
 * 
 * @author Yacine TOUIL
 */
public class StringUtils {

	/**
	 * Returns true if the string is null or empty; false otherwise
	 * 
	 * @param s
	 *            <code>String</code>
	 * @return true if the string is null or empty, false otherwise
	 */
	public static boolean isEmpty(String s) {
		return (s == null || s.trim().equals(""));
	}

	/**
	 * Returns true if two strings are equal; false otherwise
	 * 
	 * @param str1
	 *            <code>String</code>
	 * @param str2
	 *            <code>String</code>
	 * @return true if the two strings are equal, false otherwise
	 */
	static public boolean isEqual(String str1, String str2) {
		return (str1 == null) ? (str2 == null) : str1.equals(str2);
	}
}
