/**
 *
 * (c) Copyright BULL S.A.S. 2007.  All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MsgSource.java 10249 2007-04-23 11:22:14Z waeselynck $
 * --------------------------------------------------------------------------
 */

// MsgSource.java
// Enterprise JavaBean (Session) that sends JMS messages on a Topic
// and an MDB receive messages from a Topic.
package com.bull.jonasmqconnector.test.msgsource;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

/**
 * MsgSource remote interface
 * 
 * @author Kien THAI
 */
public interface MsgSource extends EJBObject {

	/**
	 * Send a message
	 * 
	 * @param s
	 *            text of the message
	 * @throws RemoteException
	 *             if RMI failed
	 */
	void sendMsg(int nbmess) throws RemoteException;
}