/**
 *
 * (c) Copyright BULL S.A.S. 2007.  All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Constants.java 10249 2007-04-23 11:22:14Z waeselynck $
 * --------------------------------------------------------------------------
 */

package com.bull.jonasmqconnector.test.util;
 
public class Constants {

	
	/************************************************************************ 
	 * CONNECTION FACTORY JNDI NAMES FOR REMOTE QUEUE MANAGER
	 ************************************************************************/
	
	// JNDI name of the client connection factory
	public static final String CLIENT_CF = "wsmqJCF";

	// JNDI name of the client topic connection factory
	public static final String CLIENT_TCF = "wsmqJTCF";

	// JNDI name of the client queue connection factory
	public static final String CLIENT_QCF = "wsmqJQCF";

	// JNDI name of the managed connection factory
	public static final String M_CF = "wsmqCF";

	// JNDI name of the managed topic connection factory
	public static final String M_TCF = "wsmqTCF";

	// JNDI name of the managed queue connection factory
	public static final String M_QCF = "wsmqQCF";

	
	
	/************************************************************************ 
	 * CONNECTION FACTORY JNDI NAMES FOR LOCALHOST QUEUE MANAGER
	 ************************************************************************/
	
	// JNDI name of the client connection factory
	public static final String CLIENT_LOCAL_CF = "JCF0";

	// JNDI name of the client topic connection factory
	public static final String CLIENT_LOCAL_TCF = "JTCF0";

	// JNDI name of the client queue connection factory
	public static final String CLIENT_LOCAL_QCF = "JQCF0";

	// JNDI name of the managed connection factory
	public static final String M_LOCAL_CF = "CF0";

	// JNDI name of the managed topic connection factory
	public static final String M_LOCAL_TCF = "TCF0";

	// JNDI name of the managed queue connection factory
	public static final String M_LOCAL_QCF = "QCF0";
	
	
	/************************************************************************ 
	 * MESSAGE KEYS
	 ************************************************************************/
	
	public static final String TEST_KEY = "TEST_KEY";
	
	public static final String END_KEY = "END_KEY";

	public static final String BEGIN_SEND_TIME_KEY = "BEGIN_SEND_TIME_KEY";

	public static final String SUCCESS_KEY = "SUCCESS_KEY";

	public static final String SEND_TIME_KEY = "SEND_TIME_KEY";
	
	public static final String REASON_KEY = "REASON_KEY";

	public static final String JMX_URL = "service:jmx:rmi:///jndi/rmi://localhost:1099/jrmpconnector_jonas";

	// For MDB Test
	public static final String MDB_REPLY_QUEUE_NAME = "MDB_REPLY_QUEUE";

	public static final String MDB_MSG_ID = "MDB_MSG_ID";

	public static final String MDB_LAST_MSG_ID = "MDB_LAST_MSG_ID";

	// For Durable MDB Test
	public static final String D_MDB_REPLY_QUEUE_NAME = "D_MDB_REPLY_QUEUE";

	public static final String D_MDB_MSG_ID = "D_MDB_MSG_ID";

	public static final String D_MDB_LAST_MSG_ID = "D_MDB_LAST_MSG_ID";

	// For Transactionnal MDB Test
	public static final String T_MDB_REPLY_QUEUE_NAME = "T_MDB_REPLY_QUEUE";

	public static final String T_MDB_MSG_ID = "T_MDB_MSG_ID";

	public static final String T_MDB_NUMBER_MSG_RECEIVED = "T_MDB_NUMBER_MSG_RECEIVED";

	// For Transactionnal Durable MDB Test
	public static final String DT_MDB_REPLY_QUEUE_NAME = "DT_MDB_REPLY_QUEUE";

	public static final String DT_MDB_MSG_ID = "DT_MDB_MSG_ID";

	public static final String NUMBER_MSG_RECEIVED = "NUMBER_MSG_RECEIVED";

	// For Session Bean MDB Test
	public static final String SB_MDB_REPLY_QUEUE_NAME = "SB_MDB_REPLY_QUEUE";

	public static final String SB_MDB_MSG_ID = "SB_MDB_MSG_ID";

	public static final String SB_MDB_NUMBER_MSG_RECEIVED = "SB_MDB_NUMBER_MSG_RECEIVED";
	
	// For Queue MDB Test
	public static final String Q_MDB_REPLY_QUEUE_NAME = "Q_MDB_REPLY_QUEUE";

	public static final String Q_MDB_MSG_ID = "Q_MDB_MSG_ID";

	public static final String Q_MDB_NUMBER_MSG_RECEIVED = "Q_MDB_NUMBER_MSG_RECEIVED";
	
	// For Transactional Queue MDB Test
	public static final String QT_MDB_REPLY_QUEUE_NAME = "QT_MDB_REPLY_QUEUE";

	public static final String QT_MDB_MSG_ID = "QT_MDB_MSG_ID";

	public static final String QT_MDB_NUMBER_MSG_RECEIVED = "QT_MDB_NUMBER_MSG_RECEIVED";

	public static final String DEFAULT_CONNECTOR_MBEAN_NAME = 
		"jonas:type=JonasMQConnector,name=jonasmq";
	
	public static final String LOCALHOST_CONNECTOR_MBEAN_NAME = 
		"jonas:type=JonasMQConnector,name=jonasmq0";
}
